%define oname guess

%define major	1
%define libname	%mklibname %{oname} %{major}
%define devname %mklibname -d %{oname}

Summary:	A high-speed character set detection library
Name:		libguess
Version:	1.1
Release:	%mkrel 2
Source0:	http://distfiles.atheme.org/%{name}-%{version}.tar.gz
License:	BSD
Group:		System/Libraries
Url:		http://www.atheme.org/project/libguess
BuildRequires:	libmowgli-devel >= 0.7.0

%description
Libguess is a high-speed character set detection library. It employs 
discrete-finite automata to deduce the character set of an imput buffer.

%package -n %{libname}
Group:		System/Libraries
Summary:	A high-speed character set detection library

%description -n %{libname}
Libguess is a high-speed character set detection library. It employs 
discrete-finite automata to deduce the character set of an imput buffer.

%package -n %{devname}
Group:		Development/C
Summary:	A high-speed character set detection library
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{oname}-devel = %{version}-%{release}

%description -n %{devname}
Libguess is a high-speed character set detection library. It employs 
discrete-finite automata to deduce the character set of an imput buffer.

Install this if you want to build applications with %{name}.

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%doc README COPYING
%{_libdir}/libguess.so.%{major}*

%files -n %{devname}
%defattr(-,root,root)
%{_libdir}/libguess.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/%{name}




%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1.1-2.mga3
+ Revision: 357426
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + wally <wally>
    - fix URL

* Fri Dec 02 2011 wally <wally> 1.1-1.mga2
+ Revision: 175146
- new version 1.1
- clean .spec

* Fri Mar 04 2011 ennael <ennael> 1.0-1.mga1
+ Revision: 63958
- imported package libguess

